# PCApplyTranspose

Applies the transpose of preconditioner to a vector.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode PETSCKSP_DLLEXPORT PCApplyTranspose(PC pc,Vec x,Vec y)

Collective on PC and Vec

### Input Parameters

| pc | - the preconditioner context
| x | - input vector

### Output Parameter

y -output vector

### Keywords

PC, apply, transpose

### See Also

PCApply(), PCApplyBAorAB(), PCApplyBAorABTranspose(), PCHasApplyTranspose()

Level:developer
Location: src/ksp/pc/interface/precon.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages